local targetting = ""
local TARGET_PREFIX = TARGET..":|cffffffff ";

local ToTTT = {}

--hook the game tool tip updates, this ensures when a mouseover targets target changes
--the tooltip will update
GameTooltip:HookScript("OnUpdate", function(self, ...)	
	ToTTT:AddTargetToTT()					
end)


function ToTTT:AddTargetToTT()

	local unexists = UnitExists('mouseovertarget')
	if (unexists ~= 1) then return end 
	
	--look for the existing line that starts with TARGET
	local targetLine
	local useExisting = false
	for i = 2, GameTooltip:NumLines() do
		targetLine = _G["GameTooltipTextLeft"..i];
		if (targetLine:GetText():find(TARGET)) then
			--if we find it, we'll use it later instead of adding a new line
			useExisting = true
			break;
		end
	end	
	
	targetting = UnitName("mouseovertarget")
	--modify if they are targetting you
	if targetting == UnitName("player") then
		targetting = "<YOU>"
	end
	
	if (targetting ~= nil and targetting ~= "") then 
		--either use the existing line and set it's text, or add the new line of text
		if useExisting then
			targetLine:SetText(string.format("%s %s |r", TARGET_PREFIX, targetting ) )
		else
			GameTooltip:AddLine( string.format("%s %s |r", TARGET_PREFIX, targetting ) )
		end	
		
		GameTooltip:Show()
	end

end
